Bug 18489 - gnome-terminal doesn't remember Select-by-word characters
gnome-terminal doesn't remember Select-by-word characters
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-05 22:30 EDT by Damien Miller
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 16:11:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Miller 2000-10-05 22:30:34 EDT
The gnome-terminal doesn't store the "Select-by-word characters" preference
when it is changes from the preferences dialog.

To replicate:

1. start a gnome-terminal

2. right click on terminal to bring up context menu

3. Select 'Preferences...'

4. Add an underscore to the beginning of the "Select-by-word" characters.

5. Click "OK"

6. Exit the gnome terminal

7. Repeat steps 1 through 3

The underscore that was added in step 4 has not been saved.
Comment 1 Damien Miller 2000-10-05 22:33:42 EDT
hmmm - actually gnome-terminal seems to ignore the contents of "wordclass" in
.gnome/Terminal altogether. Even with an empty "wordclass=" line in the config
it still uses the default word chars.
Comment 2 Elliot Lee 2001-01-31 17:57:43 EST
This appears to be fixed in gnome-core-1.2.4-3 (although I can confirm seeing it
in the stock 7.0 gnome-terminal)

Note You need to log in before you can comment on or make changes to this bug.